Kerbal Space Program - Bug #22907

Don't include Launch Escape System in delta-v calculations?
06/16/2019 01:54 PM - Kirk
Description

| noticed Sepratrons have an option "Included in Dv Calcs" to prevent them from adding ghost delta-v. Perhaps this is also a good
idea for the Launch Escape System. | understand probably nobody uses it these days but when | add one it adds additional delta-v to
the calculation which is essentially ghost delta-v as well.

History

#1 - 06/17/2019 03:01 AM - diomedea
- File screenshot4297.png added

- Status changed from New to Need More Info

Kirk wrote:

... but when | add one it adds additional delta-v to the calculation which is essentially ghost delta-v as well.

Please provide at least one craft file where the LES adds Delta-V. None | tried did, which is expected behaviour. If you have Delta-V from LES,
possible causes are add-ons installed, a corrupted KSP install, or an obsolete craft from before KSP 1.5

Perhaps the idea of allowing the option to add or not Delta-V from that part (similar to Sepratrons) could be worked; however there's a specific
property of LES that anyway nulls its thrust in Delta-V calculations. The LES itself and all parts directly attached to it (being in the same stage) are
considered a "payload stage" (as shown by screenshot4297) that would get detached from main vessel at LES activation. Payload stages are all
those not able to provide thrust to the main vessel, however having engines (typical with stages being detached before engine activation).

Of course LES shouldn't be directly connected to anything else than a decoupling part (When will Squad recognize it needs have its own
decoupling?).

#2 - 06/18/2019 07:10 AM - Kirk

Hmm, | will have to test it again. I'll have to admit that this was something that came up while building a craft, but | didn't report until after | finished it.

#3 - 11/25/2019 09:35 PM - nestor
- Tracker changed from Feedback to Bug

- % Done setto 0
